!+ Function to find whether an aerosol component is in a spectral file.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION L_FIND_COMPONENT(N_AEROSOL, TYPE_AEROSOL, I_COMPONENT)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     N_AEROSOL
!             NUMBER OF AEROSOLS
     &   , TYPE_AEROSOL(NPD_AEROSOL_SPECIES)
!             TYPES OF AEROSOLS
     &   , I_COMPONENT
!             AEROSOL COMPONENT
      LOGICAL	!, INTENT(OUT)
     &     L_FIND_COMPONENT
!             FUNCTION TO FIND COMPONENT
!
!     LOCAL VARIABLES.
      INTEGER
     &     I
!             LOOP VARIABLE
!
!
      L_FIND_COMPONENT=.FALSE.
      I=0
1     I=I+1
      IF (TYPE_AEROSOL(I).EQ.I_COMPONENT) THEN
         L_FIND_COMPONENT=.TRUE.
         RETURN
      ELSE IF (I.LT.N_AEROSOL) THEN
         GOTO 1
      ELSE
         RETURN
      ENDIF
!
!
      END
